<?php
// Check if the request method is POST
if ($_SERVER["REQUEST_METHOD"] === "POST") {
    // Get the data from the POST request
    $host = $_POST['host'] ?? '';
    $username = $_POST['username'] ?? '';

    // Check if both host and username are present
    if (!empty($host) && !empty($username)) {
        // Format the data
        $data = "Host: $host\nUsername: $username\n************\n";

        // Save the data to a file
        $file = fopen("data.txt", "a+");
        fwrite($file, $data);
        fclose($file);

        // Send a response (optional)
        echo "Data successfully saved.";
    } else {
        // Send an error response if data is incomplete
        header('HTTP/1.1 400 Bad Request');
        echo "Invalid data.";
    }
} else {
    // Send an error response for unsupported request method
    header('HTTP/1.1 405 Method Not Allowed');
    echo "Method not allowed.";
}
?>